#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int str_eq_str_split(const char * s, char * p1, char * p2)
{
   char * eq;
   if (NULL == (eq = strchr(s, '=')) )
     return -1;

   strncat(p1, s, strlen(s) - strlen(eq) );
   eq++; /* skip '=' */
   strncat(p2, eq, strlen(eq) );
   
   return 0;
}

int main()
{  
   const char * s[] = {
      "",   "AB", "=",
      "A=", "=B", "A=B",
      "TO==FRO=M"
   };
   
   unsigned int i;
   for (i=0; i< sizeof(s)/sizeof(char*); i++)
   {
      char *p1, *p2;
      p1 = calloc(1, strlen(s[i]) + 1);
      p2 = calloc(1, strlen(s[i]) + 1);

      printf("STR: %s   LEN: %d\n", s[i], (unsigned int)strlen(s[i]));
      if ( 0 != str_eq_str_split(s[i], p1, p2) )
	printf("FAILED for \"%s\"\n", s[i]);

      printf("RES: %s %s\n\n", p1, p2);
      free(p1);
      free(p2);
   }

   return 0;
}
